Bug 591575 - Xorg randomly deadlocks when a GL application is active
Xorg randomly deadlocks when a GL application is active
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 593220 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 11:32 EDT by Chris Lord
Modified: 2018-04-11 10:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:18:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (24.60 KB, text/plain)
2010-05-12 11:32 EDT, Chris Lord
no flags Details
Backtrace of GL application during hang (1.65 KB, text/plain)
2010-05-12 11:32 EDT, Chris Lord
no flags Details
lspci output on machine (2.03 KB, text/plain)
2010-05-12 11:33 EDT, Chris Lord
no flags Details
Output of echo t > /proc/sysrq-trigger (119.77 KB, application/octet-stream)
2010-05-16 16:31 EDT, Chris Lord
no flags Details
Output of echo t > /proc/sysrq-trigger (428.92 KB, text/plain)
2010-05-16 16:44 EDT, Chris Lord
no flags Details
Output of cat /sys/kernel/debug/dri/0/i915_gem_interrupt (472 bytes, text/plain)
2010-05-16 16:58 EDT, Chris Lord
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 27108 None None None Never

  None (edit)
Description Chris Lord 2010-05-12 11:32:18 EDT
Created attachment 413459 [details]
dmesg output

Randomly (sometimes after a matter of minutes, sometimes after several hours), running a GL application causes Xorg to completely lock - the cursor even stops moving.

The machine remains responsive and you can ssh in. The X server appears to be in a D state according to top, but if you backtrace the running GL application, you get

#0  0x00e24424 in __kernel_vsyscall ()
#1  0x002f0279 in ioctl () from /lib/libc.so.6
#2  0x003fa8f2 in drm_intel_gem_bo_map_gtt () from /usr/lib/libdrm_intel.so.1

at the top.


This is on a Lenovo Thinkpad x201s, running the PAE kernel on 32-bit.

During the hang, no information is output, but after the hang, dmesg has some interesting output.

I've experienced no such problems on a Lenovo Thinkpad T61, so I assume this is down to the different video chipset(?).
Comment 1 Chris Lord 2010-05-12 11:32:53 EDT
Created attachment 413460 [details]
Backtrace of GL application during hang
Comment 2 Chris Lord 2010-05-12 11:33:18 EDT
Created attachment 413461 [details]
lspci output on machine
Comment 3 Chris Lord 2010-05-16 14:56:03 EDT
I was wrong about it unlocking after several minutes, it unlocks when you attach gdb to the GL process that triggered the hang... Although it can easily trigger the hang very soon after you detach too. Is no one else seeing this? Makes GL app development quite hard (and more importantly, playing games ;))

I'm running F13 with everything up-to-date as of this message.
Comment 4 Chris Lord 2010-05-16 16:31:38 EDT
Created attachment 414408 [details]
Output of echo t > /proc/sysrq-trigger
Comment 5 Chris Lord 2010-05-16 16:44:14 EDT
Created attachment 414409 [details]
Output of echo t > /proc/sysrq-trigger

Hopefully not truncated this time.
Comment 6 Chris Lord 2010-05-16 16:58:47 EDT
Created attachment 414413 [details]
Output of cat /sys/kernel/debug/dri/0/i915_gem_interrupt
Comment 7 Chris Lord 2010-05-16 17:38:55 EDT
Eric Anholt and Chris Wilson helped to identify this as a bug fixed by the pipe_control patches in kernel 2.6.34 (rc5 or so, apparently). It'd be great to have these patches back-ported to F13 - I tried a rawhide kernel and that failed to boot entirely, so there's no easy fix for this (unless you consider building a kernel package easy).
Comment 8 Chris Lord 2010-05-16 18:09:21 EDT
This is the upstream bug, found it at last: https://bugs.freedesktop.org/show_bug.cgi?id=27108
Comment 9 Matěj Cepl 2011-01-17 12:21:37 EST
*** Bug 593220 has been marked as a duplicate of this bug. ***
Comment 10 Bug Zapper 2011-06-02 10:08:45 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 12:18:17 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.